[Numpy-discussion] Removing datetime support for 1.4.x series ?

David Cournapeau david@silveregg.co...
Tue Feb 2 23:03:33 CST 2010


Robert Kern wrote:
> On Tue, Feb 2, 2010 at 22:46, David Cournapeau <cournape@gmail.com> wrote:
>> On Wed, Feb 3, 2010 at 12:23 PM, David Cournapeau <david@silveregg.co.jp> wrote:
>>
>>> Sorry, my question was badly worded: besides the metadata pointer, is
>>> there any other change related to the metadata infratructure which may
>>> potentially change changes the publicly exported structures ? I wonder
>>> whereas the metadata infrastructure can be kept in 1.4.x independently
>>> of the datetime support without breaking the ABI
>> FWIW, keeping the metadata pointer, and only removing datetime-related
>> things makes numpy 1.4.x backward compatible, at least as far as scipy
>> is concerned. So it seems the PyArray_Funcs change is the only
>> ABI-incompatible change.
> 
> Except for the Cython bit.

Yep, but this one is easy to solve now (I regenerated the sources with 
cython 0.12.1). This means one can release a scipy 0.7.1.1 which works 
for both numpy 1.3.0 and numpy 1.4.0 instead of having a scipy which 
works only for numpy 1.4.0 (so that installing last numpy, scipy and mpl 
from binary installers gives a workable environment again)

cheers,

David


More information about the NumPy-Discussion mailing list